# Otter

## Todo list

The (initial) goal here is only to support JSON. Other formats *might* be added
on later, no guarantees.

* Authentication API
    - [x] Login / Verify Login
    - [x] Logout
* Directory API
    - [ ] Retrieve Top Tags
    - [ ] Retrieve Podcasts for Tag
    - [ ] Retrieve Podcast Data
    - [ ] Retrieve Episode Data
    - [ ] Podcast Toplist
    - [ ] Podcast Search
* Suggestions API
    - [ ] Retrieve Suggested Podcasts
* Device API
    - [x] Update Device Data
    - [-] List Devices
    - [ ] Get Device Updates
* Subscriptions API
    - [ ] Get Subscriptions of Device
    - [ ] Get All Subscriptions
    - [ ] Upload Subscriptions of Device
    - [ ] Upload Subscription Changes
    - [ ] Get Subscription Changes
* Episode Actions API
    - [ ] Episode Action Types
    - [ ] Upload Episode Actions
    - [ ] Get Episode Actions
* Podcast Lists API
    - [ ] Create Podcast List
    - [ ] Get User’s Lists
    - [ ] Get a Podcast List
    - [ ] Update a Podcast List
    - [ ] Delete a Podcast List
* Settings API
    - [ ] Known Settings
    - [ ] Save Settings
    - [ ] Get Settings
* Favorites API
    - [ ] Get Favorite Episodes
* Device Synchronization API
    - [ ] Get Sync Status
    - [ ] Start / Stop Sync
- [ ] Client Parametrization
